<?php

namespace Slovocast\Domain\Repository\User;

use Slovocast\Domain\RepositoryInterface;
use Slovocast\Domain\Entity\User;

interface UserRepositoryInterface extends RepositoryInterface
{
    public function get(int $id): User;
    public function getFromEmail(string $email): User;
    public function create(User $user): User;
    public function update(User $user): bool;
    public function delete(User $user): bool;
    public function verifyPassword(string $email, string $password): bool;
}
